*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;

}
body{
    background-color: hsl(217, 100%, 97%);
    font-family: "Ubuntu", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.main_container{
    display: flex;
    width: 55%;
    margin: 8rem auto;
    height: 30rem;
    background-color: white;
    border-radius: 0.4rem;
}


.main_left_container{
    width: 28%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.left_container{
    height: 95%;
    border-radius: 0.4rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    color: white;
    background: url(../../assets/images/bg-sidebar-desktop.svg);
    background-position: center;
    background-size: cover;
}
.steps{
    display: flex;
    margin: 1rem;

    .count{
        width: 2rem;
        height: 2rem;
        display: flex;
        justify-content: center;
        align-items: center;
        border: 2px solid hsl(0, 0%, 100%);
        border-radius: 30rem;

    }
    #active{
        background-color: hsl(206, 94%, 87%);
        color: hsl(213, 96%, 18%);
        border: none;
    }
}
.step_information {
    display: flex;
    flex-direction: column;
    margin: 0 1rem;

    .step_count{
        font-size: 0.7rem;
        color:  hsl(229, 24%, 87%);
    }
}


.main_right_container{
    width: 72%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.right_container{
    width: 85%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 90%;

    .heading {
        h1{
            margin: 0.8rem 0;
            font-weight: 700;
        }
        h4{
            font-weight: 400;
            color: hsl(231, 11%, 63%);
        }
    }
}

.pricing_container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 50%;

}

.plan_selected_div{
    height: 40%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 6%;

    padding-bottom: 1.2rem;
    background-color: hsl(217, 100%, 97%);
    border-radius: 0.3rem;
    .change_plan{
        display: flex;
        flex-direction: column-reverse;
    }
    a{
        text-decoration: underline;
        color: hsl(231, 11%, 63%);
    }
}

.balancer{
    justify-content: space-around;
    display: flex;
    justify-content: center;
    background-color: hsl(217, 100%, 97%);;
    .balancing_span{
        padding: 0 6%;
        width: 90%;
        border-bottom: 0.03rem solid hsl(231, 11%, 63%);
    }
}   
.features_added_div{
    height: 40%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    background-color: hsl(217, 100%, 97%);
    border-radius: 0.3rem;

    .service_feature{
        display: flex;
        justify-content: space-between;
        padding: 0 6%;

        .service_feature_plan{
            color: hsl(231, 11%, 63%);;
        }
        .service_feature_cost{
            font-weight: 400;
        }
    }
}

.total_cost_div{
    height: 20%;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    padding: 0 6%;

    .total_price_label{
        color: hsl(231, 11%, 63%);
    }
    .total_price_preview{
        color: hsl(243, 100%, 62%);
    }
}



#btn_forward_page4{
    padding: 0.6rem 1.5rem;
    border-radius: 0.3rem;
    background-color: hsl(243, 100%, 62%);
    color: #FFFFFF;
}
#btn_backward_page4{
    padding: 0.6rem 1rem;
    border-radius: 0.3rem;
    color: hsl(231, 11%, 63%);
}
a{
    text-decoration: none;
}
a:hover{
    cursor: pointer;
}
.next_step_btn{
    display: flex;
    
    flex-direction: row;
    justify-content: space-between;
}

@media (max-width: 900px){
    .main_container {
        width: 90%;
    }
}

@media (max-width: 550px) {
    .main_container{
        flex-direction: column;
        width: 100%;
        margin: 0;
        height: 40rem;
    }

    .main_left_container{
        width: 100%;
        
    }
    .left_container{
        width: 100%;
        flex-direction: row;
        justify-content: center;
        height: 8rem;
        background: url('../../assets/images/bg-sidebar-mobile.svg');
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        .step_information{
            display: none;
        }
    }

    .main_right_container{
        width: 100%;
        background-color: hsl(217, 100%, 97%);;
        height: 70%;
    }
    body{

        background-color: white;
        position: relative;
    }

    .right_container{
        
        height: 95%;
        background-color: #FFFFFF;
        align-items: center;
        border-radius: 1rem;
        margin-top: -32%; 
        justify-content: space-around;
        align-items: center;
        .heading{
            width: 90%;
        }

        .pricing_container{
            width: 90%;
            padding-bottom: 0;
            align-items: center;

            .plan_selected_div{
                width: 100%;
            }
        }
        .features_added_div{
            width: 100%;
            padding: 1rem 0;

            .service_feature{
                width: 100%;
                padding: 0.3rem 0;

                .service_feature_plan{
                    padding-left: 0.6rem;
                }

                .service_feature_cost{
                    padding-right: 0.6rem;
                }
            }
        }
        .total_cost_div{
            width: 100%;
            padding: 0 2%;
        }

        .toggle_container{
            width: 100%;
            margin: 0;
            margin-top: 3rem;
        }

        

        .next_step_btn{
            position: absolute;
            width: 90%;
            bottom : 0.9rem;
        }
    }
}